.widget{
    position: relative;
    height: 100%;
    width: 100%;
    max-width: #{map-get($breakpoints, md)};
    margin: auto;
    overflow: hidden;

    @include breakpoint(md){
        height: 80%;
        min-height: 680px;
        box-shadow: 0px 0px 25px 1px rgba(50, 50, 50, 0.1);
        border-radius: 20px;
    }

    &__slider{
        display: flex;
        flex-wrap: nowrap;
        width: 100%;
        height: 100%;
        overflow-y: hidden;
        touch-action: none;
        transition: transform .5s ease-out;
        will-change: transition;
    }

    &__slide{
        position: relative;
        flex-shrink: 0;
        flex-basis: 100%;
        height: 100%;
        pointer-events: none;

        padding: 0 2.4rem 10rem 2.4rem;

        @include breakpoint(md){
            padding: 0 4rem 10rem 4rem;
        }
    }

    &__bar{
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 5.6rem;
        padding: 0 2.4rem;

        display: flex;
        align-items: center;
        justify-content: center;

        z-index: 100;

        @include breakpoint(md){
            padding: 0 4rem;
        }
    }

    &__pagination{
        display: flex;
    }

    &__bullet{
        width: 8px;
        height: 8px;
        border-radius: 50%;
        border: 1px solid white;
        margin: 0 4px;
        cursor: pointer;

        &.active{
            background-color: white;
            transition: 0.5s ease-in-out;
        }
    }

    &__error{
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__wave{
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 220px;

        .switch{
            position: absolute;
            left: 1.6rem;
            bottom: 1.6rem;
            display: inline-block;
            width: 48px;
            height: 24px;
            z-index: 20;

            @include breakpoint(md){
                display: none;
            }

            input {
                opacity: 0;
                width: 0;
                height: 0;
            }

            .slider {
                position: absolute;
                cursor: pointer;
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                background-color: $gray;
                -webkit-transition: .4s;
                transition: .4s;
                border-radius: 20px;
            }
              
            .slider:before {
            position: absolute;
            content: "";
            height: 16px;
            width: 16px;
            left: 4px;
            bottom: 4px;
            background-color: white;
            transition: transform .4s;
            border-radius: 20px;
            }
            
            input:checked + .slider {
            background-color: $green;
            }
            
            input:focus + .slider {
            box-shadow: 0 0 1px $green;
            }
            
            input:checked + .slider:before {
            transform: translateX(24px);
            }
        }
    }

    &__wave-background{
        position: absolute;
        bottom: 0;
        left: 50%;
        width: 1024px;
        height: 180px;
        background-position: center;
        background-size: cover;
        transform: translateX(-50%);

        &.animated{
            transition: transform 0.5s;
        }

        &.small{
            z-index: 10;
            background-image: url('./static/wave-small.svg'); 
        }

        &.big{
            z-index: 8;
            height: 220px;
            opacity: 0.4;
            background-image: url('./static/wave-big.svg'); 
        }
    }

    &__list{
        position: absolute;
        top: 50%;
        right: 2.4rem;
        transform: translateY(-50%);
        display: flex;
        cursor: pointer;

        @include breakpoint(md){
            right: 4rem;
        }

        svg{
            width: 18px;
            height: 18px;
            fill: white;
        }
    }

    &--list{
        background-color: white;

        .widget__list{
            svg{
                fill: black;
            }
        }

        .widget__bar{
            position: relative;
        }
        .widget__wave{
            display: none;
        }

        .widget__slider{
            display: flex;
            flex-direction: column;
            overflow: auto;
            max-width: 100%;
            height: calc(100% - 5.6rem);
            transform: translate(0)!important;
            transition: none;
            cursor: auto;
            touch-action: auto;
            -webkit-overflow-scrolling: touch;
        }

        .widget__slide{
            padding: 0;
            height: auto;
            flex-grow: 1;
            flex-basis: 0!important;
            flex-shrink: 1;
            margin: 0.8rem 2.4rem;
            max-width: calc(100% - 4.8rem);
            cursor: pointer;
            pointer-events: all;

            @include breakpoint(md){
                border-radius: 4px;
                margin: 0.8rem 4rem;
                max-width: calc(100% - 8rem);
            }

            &:last-child{
                margin-bottom: 5.6rem;
            }

            &:first-child{
                margin-top: 0;
            }
        }

        .card__content{
            padding: 2.4rem;
        }

        .card__forecast{
            display: none;
        }

        .card__main{
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: space-between;
            text-align: left;
        }

        .card__temperature{
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            align-items: flex-end;
        }

        .card__temp{
            font-size: 4.8rem;
        }
    }
}

#prova{
    width: 100%;
    position: absolute;
    bottom: 0;
}